Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 145375 - Unknown symbol in module, or unknown parameter in module scsi_mod
Unknown symbol in module, or unknown parameter in module scsi_mod
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-17 15:44 EST by Paul Tap
Modified: 2015-01-04 17:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-09 21:06:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Tap 2005-01-17 15:44:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
When inserting my usb storage I get the following errors in dmesg:

usb 2-2.3: new full speed USB device using uhci_hcd and address 6
scsi_mod: Unknown parameter `'
usb_storage: Unknown symbol scsi_report_device_reset
usb_storage: Unknown symbol scsi_remove_host
usb_storage: Unknown symbol scsi_host_put
usb_storage: Unknown symbol scsi_scan_host
usb_storage: Unknown symbol scsi_add_host
usb_storage: Unknown symbol scsi_host_alloc
scsi_mod: Unknown parameter `'
usb_storage: Unknown symbol scsi_report_device_reset
usb_storage: Unknown symbol scsi_remove_host
usb_storage: Unknown symbol scsi_host_put
usb_storage: Unknown symbol scsi_scan_host
usb_storage: Unknown symbol scsi_add_host
usb_storage: Unknown symbol scsi_host_alloc

When loading the usb-storage module manualy, I get the following error
on scsi_mod:

FATAL: Error inserting scsi_mod
(/lib/modules/2.6.10-1.741_FC3smp/kernel/drivers/scsi/scsi_mod.ko):
Unknown symbol in module, or unknown parameter (see dmesg)

I haven't tested it (yet) without HT and SMP kernel.

Version-Release number of selected component (if applicable):
/lib/modules/2.6.10-1.741_FC3smp/kernel/drivers/scsi/scsi_mod.ko

How reproducible:
Always

Steps to Reproduce:
1. add usb storage
2.
3.
    

Actual Results:  The reported error messages

Expected Results:  Modules should load and the storage should be
mountable.

Additional info:
Comment 1 Dave Jones 2005-01-17 16:06:15 EST
please try the kernel at http://people.redhat.com/davej/kernels/Fedora/FC3/
Comment 2 Paul Tap 2005-01-18 04:34:53 EST
Kernel 2.6.10-1.747_FC3smp works fine !!!

Do you need further checks from my side?

Thanx,

Paul

Note You need to log in before you can comment on or make changes to this bug.